import { computed, ref } from "vue";
import { useStore } from "vuex";

/**
 * 获取用户会员到期时间
 */
export const useExpireTime = () => {
	const store = useStore();
	const expireTime = computed(() => store.getters.getUserData.expireTime);
	return {
		expireTime,
	};
};

/**
 * 获取用户可提现金额
 */
export const useProfitPrice = () => {
	const store = useStore();
	const profitPrice = computed(() => (store.getters.getUserData.profitPrice / 100).toFixed(2));
	return {
		profitPrice,
	};
};
